Bug 1496808 - OpenSSH 7.4 doesn't work with WinSCP >= 5.10 clients
Summary: OpenSSH 7.4 doesn't work with WinSCP >= 5.10 clients
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openssh
Version: 7.4
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Jakub Jelen
QA Contact: Stefan Dordevic
Mirek Jahoda
URL:
Whiteboard:
Depends On:
Blocks: 1432486 1476743
TreeView+ depends on / blocked
 
Reported: 2017-09-28 12:55 UTC by Olli Rajala
Modified: 2018-04-10 18:20 UTC (History)
5 users (show)

Fixed In Version: openssh-7.4p1-15.el7
Doc Type: Bug Fix
Doc Text:
*WinSCP* 5.10 now works properly with *OpenSSH* Previously, *OpenSSH* incorrectly recognized *WinSCP* version 5.10 as older version 5.1. As a consequence, the compatibility bits for *WinSCP* version 5.1 were enabled for *WinSCP* 5.10, and the newer version did not work properly with *OpenSSH*. With this update, the version selectors have been fixed, and *WinSCP* 5.10 now works properly with *OpenSSH* servers.
Clone Of:
Environment:
Last Closed: 2018-04-10 18:19:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0980 None None None 2018-04-10 18:20:29 UTC
CentOS 0013935 None None None 2017-09-28 12:55:46 UTC

Description Olli Rajala 2017-09-28 12:55:46 UTC
Description of problem:

Filed bug also to CentOS 7 ticket system (https://bugs.centos.org/view.php?id=13935) but here's the description also.

There is a bug in the current OpenSSH version in Centos7 (openssh-server-7.4p1-12.el7_4.x86_64) which prevents WinSCP >= 5.10 clients for connecting. This can be reproduced in our environment all the time.

The bug is described here: https://bugzilla.mindrot.org/show_bug.cgi?id=2748

Basically the issue is that OpenSSH has some compatibility things for older WinSCP versions but unfortunately 5.1* matches also for 5.10 and 5.11.

Here's the debug log from the server side:

"sshd[20338]: debug1: match: WinSCP_release_5.11.1 pat WinSCP_release_4*,WinSCP_release_5.0*,WinSCP_release_5.1*,WinSCP_release_5.5*,WinSCP_release_5.6*,WinSCP_release_5.7,WinSCP_release_5.7.1,WinSCP_release_5.7.2,WinSCP_release_5.7.3,WinSCP_release_5.7.4 compat 0x00004000"


Version-Release number of selected component (if applicable): OpenSSH 7.4, WinSCP 5.10 or newer


How reproducible: always


Steps to Reproduce:
1) Install openssh-server-7.4 to the server side and WinSCP 5.10 or newer to the client
2) Try to connect and it fails

Actual results:

Connection fails.

Expected results:

Connection is successful. 

Additional info:

Comment 2 Jakub Jelen 2017-10-02 08:48:43 UTC
This sounds like a good candidate to be fixed in the next update. It is a long-existing bug in OpenSSH, which was recently fixed upstream (after revealing itself).

Comment 4 Olli Rajala 2017-10-03 05:32:39 UTC
https://bugs.centos.org/view.php?id=13935#c30256

As I described here, it doesn't appear with the default config, but still appears with the OpenSSH 7.4 + WinSCP 5.11 (probably also with 5.10) when sshd config is altered regarding KexAlgorithms.

Comment 9 errata-xmlrpc 2018-04-10 18:19:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0980


Note You need to log in before you can comment on or make changes to this bug.